clear
set mem 200m
set more off
*cleaning the raw data and saving in 02_CLEANDATA
cd "C:\Africa\Ghana\GLSS4-1998"
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC0A", clear
des
/*Number of observations 5,998
Household level file
Contains basic and survey visit data*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC0A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC0B", clear
des
/*Number of observations 35,985
Household level file
Contains basic and survey visit data*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC0B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC0C", clear
des
/*Number of observations 17,988
Household level file
Contains basic and survey visit data*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC0C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC1", clear
des
/*Number of observations 26,411
Individual level file for individuals aged 15yrs or more
Contains basic individual information*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC2A", clear
des
/*Number of observations 22,211
Individual level file for individuals aged 15yrs or more
Contains education data*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC2A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC2B", clear
des
/*Number of observations 11,939
Individual level file for individuals aged 15yrs or more
Contains information regarding vocational training*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC2B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC2C", clear
des
/*Number of observations 22,254
Individual level file for individuals aged 15yrs or more
Contains information regarding literacy and apprenticeship*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC2C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC3A", clear
des
/*Number of observations 25,581
Individual level file
Contains information regarding health*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC3A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC3B", clear
des
/*Number of observations 5,658
Individual level file for individuals aged below 7 yrs 
Contains information regarding vaccination*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC3B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC3C", clear
des
/*Number of observations 4,048
Individual level file for children aged below 5 yrs 
Contains information regarding post natal care*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC3C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC3D", clear
des
/*Number of observations 6,013
Individual level file for women aged 15 to 49 yrs 
Contains information regarding fertility*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC3D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4A", clear
des
/*Number of observations 20,476
Individual level file for all individuals aged more than 7 yrs 
Contains screening information regarding employment*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4B", clear
des
/*Number of observations 10,875
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding primary occupation*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4C", clear
des
/*Number of observations 2,888
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding secondary occupation*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4D", clear
des
/*Number of observations 233
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding third occupation*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4E", clear
des
/*Number of observations 26
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding fourth occupation*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4E", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4F", clear
des
/*Number of observations 9,796
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding employment search in last 12 months*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4F", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4G", clear
des
/*Number of observations 12,048
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding activity status and employment search in last 7 days*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4G", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4H", clear
des
/*Number of observations 19,525
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding employment history*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4H", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC4J", clear
des
/*Number of observations 20,654
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding household chores*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC4J", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC5", clear
des
/*Number of observations 14,442
Individual level file for all individuals aged more than 15 yrs 
Contains information regarding migration*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC5", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC6", clear
des
/*Number of observations 5,988
Household level file
Contains information regarding household farming activities*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC6", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part A\SEC7", clear
des
/*Number of observations 5,988
Household level file
Contains information regarding dwelling characteristics*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC7", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8A1", clear
des
/*Number of observations 4,109
Household level file
Contains information regarding household agricultural assets*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8A1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8A2", clear
des
/*Number of observations 4,841
Household level file
Contains information regarding livestock*/ 
duplicates r
*no duplicates found
duplicates drop
save "02_CLEANDATA\SEC8A2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8A3", clear
des
/*Number of observations 14,508
Household level file with observations at equipment level
Contains information regarding agricultural equipment*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8A3", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8B", clear
des
/*Number of observations 10,570
Household level file with observations at land asset level
Contains information regarding household agricultural land assets*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8C1", clear
des
/*Number of observations 8,156
Household level file with observations at the crop level
Contains information regarding disposal of harvests*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8C1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8C2", clear
des
/*Number of observations 17,125
Household level file with observations at the crop level
Contains information regarding grain and cash crops*/ 
duplicates r
*9 duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8C2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8D", clear
des
/*Number of observations 11,400
Household level file with observations at the crop level*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8E", clear
des
/*Number of observations 4,137
Household level file
Contains information regarding income from household agricultural produce*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8E", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8F", clear
des
/*Number of observations 13,376
Household level file. Observations relate to type of expenditure
Contains information on farming expenses*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8F", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8G", clear
des
/*Number of observations 7,483
Household level file. 
Contains information on processing of agricultural produce*/ 
duplicates r
*6 duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8G", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8H", clear
des
/*Number of observations 44,603
Household level file. Observations relate to item code.
Contains information regarding consumption of self produced agricultural products*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8H", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC8HID", clear
des
/*Number of observations 5,744
Household level file*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC8HID", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC9A2", clear
des
/*Number of observations 65,222
Contains frequent, non-food consumption information at the item level*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC9A2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC9A11", clear
des
/*Number of observations 5,985
Contains information on respondents for SEC9*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC9A11", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC9A12", clear
des
/*Number of observations 84,286
Contains less-frequent, non-food consumption information at the item level*/ 
duplicates r
*no duplicates found
duplicates drop
save "02_CLEANDATA\SEC9A12", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC9B", clear
des
/*Number of observations 167,803
Contains food consumption information at the item level*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC9B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC9B0", clear
des
/*Number of observations 5,999
Household level file
Contains information regarding respondents and interviewers*/ 
duplicates r
*1 duplicates found
duplicates drop 
save "02_CLEANDATA\SEC9B0", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC9C", clear
des
/*Number of observations 65,880
Household level file with observations at the item level
Contains information about the availability of selected products*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC9C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC10A", clear
des
/*Number of observations 3,386
Household enterprise level file
Contains information regarding household enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC10A", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC10B", clear
des
/*Number of observations 32,739
Household enterprise level file
Contains information regarding expenses of enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC10B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC10C", clear
des
/*Number of observations 2,724
Household enterprise level file
Contains information regarding assets of enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC10C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC10D", clear
des
/*Number of observations 3,004
Household enterprise level file
Contains information regarding revenue of enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC10D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC10E", clear
des
/*Number of observations 3,409
Household enterprise level file
Contains information regarding net income and inventory of enterprises*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC10E", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC11A1", clear
des
/*Number of observations 5,989
Household level file
Contains information regarding transfer payments made BY the household*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC11A1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC11A2", clear
des
/*Number of observations 4,872
Household level file
Contains information regarding remittances made by household*/ 
duplicates r
*duplicats have not been dropped
save "02_CLEANDATA\SEC11A2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC11B1", clear
des
/*Number of observations 5,992
Household level file
Contains information regarding transfer payments RECEIVED BY the household*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC11B1", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC11B2", clear
des
/*Number of observations 4,171
Household level file
Contains information regarding transfer payments RECEIVED BY the household*/ 
duplicates r
*duplicates have not been dropped 
save "02_CLEANDATA\SEC11B2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC11C", clear
des
/*Number of observations 5,998
Household level file
Contains information regarding miscellaneous income*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC11C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC11D", clear
des
/*Number of observations 5,998
Household level file
Contains information regarding miscellaneous expenditures*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC11D", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC12A1", clear
des
/*Number of observations 5,992
Household level file
Contains information regarding loans and debts*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC12A2", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC12B", clear
des
/*Number of observations 19,813
Household level file with durable items as observations 
Contains informaiton regarding ownership of durables*/ 
duplicates r
*no duplicates found
duplicates drop
save "02_CLEANDATA\SEC12B", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\GLSS4_Part B\SEC12C", clear
des
/*Number of observations 3,541
Household level file with durable items as observations 
Contains informaiton regarding savings*/ 
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\SEC12C", replace
*--------------------------------------
use "01_RAWDATA\RAWDATA_SHIP\POVERTY\POV_GH", clear
des
/*number of observations 5,998
Household level file
Contains information regarding poverty and price indices.*/
duplicates r
*no duplicates found
duplicates drop 
save "02_CLEANDATA\POV_GH", replace
*--------------------------------------
